Bug 1409349 - webalizer damages webalizer.hist
Summary: webalizer damages webalizer.hist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: webalizer
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-01 03:53 UTC by Sergio Basto
Modified: 2017-02-01 18:19 UTC (History)
5 users (show)

Fixed In Version: webalizer-2.23_08-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 18:19:11 UTC
Type: Bug


Attachments (Terms of Use)
webalizer-2.23-08-memmove.patch (1.04 KB, patch)
2017-01-01 03:53 UTC, Sergio Basto
no flags Details | Diff

Description Sergio Basto 2017-01-01 03:53:39 UTC
Created attachment 1236313 [details]
webalizer-2.23-08-memmove.patch

Description of problem:


I received this email : 

Hi Sergio,

thank you for maintaing the webalizer package in EPEL7

There is an issue with the current epel packages. They sometimes lose
history (depending on the compiler (flags?) used to build them)

See https://bugs.launchpad.net/ubuntu/+source/webalizer/+bug/1399615 I
also noticed this behaviour in the current epel packages and tracked
down the issue.

Webalizer is using memcpy for overlapping blocks. This is causing
undefined behaviour. See http://clc-wiki.net/wiki/memcpy (look for overlap)

The attached path is minimal fix to prevent this undefined behaviour by
switching to memmove().


Please consider adding this patch to the epel package.


Is you have any questions please let me know.....

-- 

Mvgr,

Kees Monshouwer

Comment 1 Sergio Basto 2017-01-01 04:04:34 UTC
I'd like hear your opinion ...

Comment 2 Fedora Update System 2017-01-12 18:25:15 UTC
webalizer-2.23_08-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e19a89878

Comment 3 Fedora Update System 2017-01-13 07:48:25 UTC
webalizer-2.23_08-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e19a89878

Comment 4 Fedora Update System 2017-02-01 18:19:11 UTC
webalizer-2.23_08-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.